//----------------------------------------------------------------------
// square.js
// Author: Bob Dondero
//----------------------------------------------------------------------

'use strict';

// Function definition statement
function square1(i) {
   return i * i;
}

// Function definition expression
let square2 = function(i) {
   return i * i;
};

// Arrow function definition expression
let square3 = (i) => {return i * i;};
let square4 = (i) => i * i;
let square5 = i => i * i;

function main() {
   let sqr1 = square1(5);
   let sqr2 = square2(5);
   let sqr3 = square3(5);
   let sqr4 = square4(5);
   let sqr5 = square5(5);

   process.stdout.write(String(sqr1) + '\n');
   process.stdout.write(String(sqr2) + '\n');
   process.stdout.write(String(sqr3) + '\n');
   process.stdout.write(String(sqr4) + '\n');
   process.stdout.write(String(sqr5) + '\n');
}

if (require.main === module)
   main();
